using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AttachablePowerUpEffect : PowerUpEffect
{
    public string uiReadyText;
    [TextArea]
    public string uiDescText;

    public AudioClip onUseSFX;
    public AudioClip onAltSFX;

    public float abilityCooldown;
    protected bool _abilityCooldown;
    protected TimerHelper _abilityCooldownTimer;

    public bool CooldownStatus
    {
        get
        {
            return _abilityCooldown;
        }
    }

    public float CooldownTimePercent
    {
        get
        {
            return _abilityCooldownTimer.Position;            
        }
    }

    public float CooldownTime
    {
        get
        {
            return _abilityCooldownTimer.CurrentTick;         
        }
    }

    public virtual bool OnUseEffect()
    {
        return false;
    }

    public virtual bool OnAltUseEffect()
    {
        return false;
    }

    public virtual T GetStatChangesValue<T>(string statName, T currentValue)
    {
        switch(statName)
        {
            default:
                return currentValue;
        }
    }
}